Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.servlet
Class ServletResponseFactoryImpl

    java.lang.Object
      org.jasig.portal.container.servlet.ServletResponseFactoryImpl

All Implemented Interfaces:
  org.apache.pluto.factory.Factory, ServletResponseFactory

    public class ServletResponseFactoryImpl

extends java.lang.Object
implements ServletResponseFactory

Field Summary
`private javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`ServletResponseFactoryImpl()`

Method Summary
`void` | `destroy()`
`javax.servlet.http.HttpServletResponse` | `getServletResponse(javax.servlet.http.HttpServletResponse response)`
`javax.servlet.http.HttpServletResponse` | `getStoredServletResponse(javax.servlet.http.HttpServletResponse response, java.io.PrintWriter writer)`
`void` | `init(javax.servlet.ServletConfig config, java.util.Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    private javax.servlet.ServletConfig servletConfig

Constructor Detail

### ServletResponseFactoryImpl

    public ServletResponseFactoryImpl()

Method Detail

### getServletResponse

    public javax.servlet.http.HttpServletResponse getServletResponse(javax.servlet.http.HttpServletResponse response)

  Specified by:
    `getServletResponse` in interface `ServletResponseFactory`

### getStoredServletResponse

    public javax.servlet.http.HttpServletResponse getStoredServletResponse(javax.servlet.http.HttpServletResponse response,
                                                                           java.io.PrintWriter writer)

  Specified by:
    `getStoredServletResponse` in interface `ServletResponseFactory`

### init

    public void init(javax.servlet.ServletConfig config,
                     java.util.Map properties)
              throws java.lang.Exception

  Specified by:
    `init` in interface `org.apache.pluto.factory.Factory`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `org.apache.pluto.factory.Factory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD